# studio::RenderSettings Class Reference

`#include <render.h>`

List of all members.

## Public Member Functions

| RenderSettings (Gtk::Window &parent, etl::handle< synfigapp::CanvasInterface > canvas_interface)
| ~RenderSettings ()
void | set_entry_filename ()

## Constructor & Destructor Documentation

RenderSettings::RenderSettings | ( | Gtk::Window & | parent,
|  | etl::handle< synfigapp::CanvasInterface > | canvas_interface |
| ) |  |  |

References _, synfigapp::Action::book(), studio::Widget_RendDesc::enable_time_section(), set_entry_filename(), studio::Widget_RendDesc::set_rend_desc(), and studio::Widget_RendDesc::signal_changed().

RenderSettings::~RenderSettings | ( |  | ) |

## Member Function Documentation

void RenderSettings::set_entry_filename | ( |  | ) |

Referenced by RenderSettings().

The documentation for this class was generated from the following files:

- render.h
- render.cpp